Michael de Silva's Blog

Software Engineer. Rubyist and Roboticist.

Michael de Silva's Blog

Software Engineer. Rubyist and Roboticist.

Debugging with ruby-debug in Funny-Falcon's Performance Patched Ruby 1.9.3 and RVM

Update

It's much easier to get this working now, simply install the following three gems in sequence. You don't need to be version specific (Ref).

> gem install debugger
Fetching: debugger-ruby_core_source-1.2.3.gem (100%)
Fetching: debugger-linecache-1.2.0.gem (100%)
Fetching: debugger-1.6.1.gem (100%)
Building native extensions.  This could take a while...
Successfully installed debugger-ruby_core_source-1.2.3
Successfully installed debugger-linecache-1.2.0
Successfully installed debugger-1.6.1
3 gems installed

Yesterday I found adding the following to the Gemfile

group :development, :test do
  gem 'linecache19', '0.5.13'
  gem 'ruby-debug-base19', '0.11.26'
  gem 'ruby-debug19', :require => 'ruby-debug'
  #...
end

...and running bundle install just would not work. The reason is ruby-debug19 is no longer maintained and there's a recommended fork called debugger that works on 1.9.2 and 1.9.3 and installs easily for rvm/rbenv rubies.

However, I wanted to get ruby-debug19 to install and followed the advice of this post on Stackoverflow and created a gist to allow installing this under my particular version of ruby-1.9.3-p327-fastGist: Install ruby-debug19 with Falcon patched ruby-1.9.3-p327-fast

### UPDATE: ruby-debug19 is no longer maintained, use https://github.com/cldwalker/debugger

# Install with:
# bash < <(curl -L https://raw.github.com/gist/5110684)
#
# Reference: http://blog.wyeworks.com/2011/11/1/ruby-1-9-3-and-ruby-debug

echo "Installing ruby-debug with ruby-1.9.3-p327-fast ..."

curl -OL http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem
curl -OL http://rubyforge.org/frs/download.php/75415/ruby-debug-base19-0.11.26.gem

gem install linecache19-0.5.13.gem ruby-debug-base19-0.11.26.gem -- --with-ruby-include=$rvm_path/src/ruby-1.9.3-p327-fast

rm linecache19-0.5.13.gem ruby-debug-base19-0.11.26.gem

echo "Done."

Simply perform

bash < <(curl -L https://raw.github.com/gist/5110684)

to install the above into $rvm_path/src/ruby-1.9.3-p327-fast. To edit the install path, I suggest you fork and make your own modified own gist.

Refs:

comments powered by Disqus